import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:kasy_kit/core/theme/theme.dart';
import 'package:kasy_kit/i18n/translations.g.dart';

class NotificationsHeader extends ConsumerWidget {
  final double? paddingHeight;

  const NotificationsHeader({super.key, this.paddingHeight});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Padding(
      padding: EdgeInsets.fromLTRB(
        KasySpacing.lg,
        paddingHeight ?? KasySpacing.smd,
        KasySpacing.lg,
        KasySpacing.md,
      ),
      child: Row(
        children: [
          Text(
            t.navigation.notifications,
            style: context.textTheme.headlineMedium!.copyWith(
              color: context.colors.onSurface,
            ),
          ),
        ],
      ),
    );
  }
}
